﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CMS.Properties {
    
    
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "16.8.1.0")]
    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
        
        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
        
        public static Settings Default {
            get {
                return defaultInstance;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\r\n          <ArrayOfFilterInfo xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instan" +
            "ce\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" />\r\n        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList PatientsCustomFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["PatientsCustomFilters"]));
            }
            set {
                this["PatientsCustomFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList PatientsStaticFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["PatientsStaticFilters"]));
            }
            set {
                this["PatientsStaticFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\r\n          <ArrayOfFilterInfo xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instan" +
            "ce\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" />\r\n        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList AppointmentsCustomFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["AppointmentsCustomFilters"]));
            }
            set {
                this["AppointmentsCustomFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList AppointmentsStaticFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["AppointmentsStaticFilters"]));
            }
            set {
                this["AppointmentsStaticFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\r\n          <ArrayOfFilterInfo xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instan" +
            "ce\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" />\r\n        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList DoctorsCustomFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["DoctorsCustomFilters"]));
            }
            set {
                this["DoctorsCustomFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList DoctorsStaticFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["DoctorsStaticFilters"]));
            }
            set {
                this["DoctorsStaticFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\r\n          <ArrayOfFilterInfo xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instan" +
            "ce\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" />\r\n        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList InvoicesCustomFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["InvoicesCustomFilters"]));
            }
            set {
                this["InvoicesCustomFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>On probation </Name>
              <FilterCriteria>Not IsNull([Name])</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList Useless {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["Useless"]));
            }
            set {
                this["Useless"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
            <FilterInfo>
              <Name>Draft</Name>
              <FilterCriteria>([InvoiceStatus] = 0)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Ordered</Name>
              <FilterCriteria>([InvoiceStatus] = 1)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Done</Name>
              <FilterCriteria>([InvoiceStatus] = 2)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Canceled</Name>
              <FilterCriteria>([InvoiceStatus] = 3)</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList InvoicesStaticFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["InvoicesStaticFilters"]));
            }
            set {
                this["InvoicesStaticFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\r\n          <ArrayOfFilterInfo xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instan" +
            "ce\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" />\r\n        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList ExpensesCustomFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["ExpensesCustomFilters"]));
            }
            set {
                this["ExpensesCustomFilters"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute(@"
          <ArrayOfFilterInfo xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
            <FilterInfo>
              <Name>Draft</Name>
              <FilterCriteria>([ExpenseStatus] = 0)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Done</Name>
              <FilterCriteria>([ExpenseStatus] = 1)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Canceled</Name>
              <FilterCriteria>([ExpenseStatus] = 2)</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        ")]
        public global::CMS.Filtering.ViewModels.FilterInfoList ExpensesStaticFilters {
            get {
                return ((global::CMS.Filtering.ViewModels.FilterInfoList)(this["ExpensesStaticFilters"]));
            }
            set {
                this["ExpensesStaticFilters"] = value;
            }
        }
    }
}
